# pec-eth-abi

[![NPM Package][npm-image]][npm-url] [![Dependency Status][deps-image]][deps-url] [![Dev Dependency Status][deps-dev-image]][deps-dev-url]

This is a sub-package of [pec.js][repo].

This is the abi package used in the `pec-eth` package.

Please read the [documentation][docs] for more.

## Installation

### Node.js

```bash
npm install pec-eth-abi
```

## Usage

```js
const Web3EthAbi = require('pec-eth-abi');

Web3EthAbi.encodeFunctionSignature('myMethod(uint256,string)');
> '0x24ee0097'
```

## Types

All the TypeScript typings are placed in the `types` folder.
